<?php
include_once '../classes/pagina.php';

class Home extends Pagina {
    
    public function __construct() {
        parent::checarPermissao(array('administrador', 'elaboradorquestoes', 'editarequipes', 'confirmapagamento'));
        parent::__construct();
    }
    
    public function corpo() {
        if($_REQUEST[alterarsenha] == 'sim' OR !empty($_REQUEST[senha])){
            $this->alterarSenha($_REQUEST[senha]);
            exit();
        }
        
        echo "<p align='right'><a href='home.php?alterarsenha=sim' class=''>Alterar sua senha</a></p>";
        
        echo "<h1>Área Administrativa</h1>";
        echo "<div aling='center'>";
        
        if(parent::temPermissao(array('administrador', 'editarequipes'))) echo "<p><a href='crudequipe.php'>Equipes</a></p>";
        if(parent::temPermissao(array('administrador', 'editarequipes'))) echo "<p><a href='crudescola.php'>Escolas</a></p>";
        if(parent::temPermissao(array('administrador'))) echo "<p><a href='crudprova.php'>Provas</a></p>";
        if(parent::temPermissao(array('administrador', 'elaboradorquestoes'))) echo "<p><a href='crudquestao.php'>Questões</a></p>";
        if(parent::temPermissao(array('administrador'))) echo "<p><a href='crudcategoria.php'>Categorias de Questões</a></p>";
        if(parent::temPermissao(array('administrador'))) echo "<p><a href='crudusuario.php'>Usuários Administradores</a></p>";
        if(parent::temPermissao(array('administrador', 'editarequipes'))){
            echo "<fieldset><legend>Relatórios</legend>";
            if(parent::temPermissao(array('administrador', 'editarequipes'))) echo "<p><a href='../relatorios/equipes.php'>Equipes</a></p>";
            if(parent::temPermissao(array('administrador', 'elaboradorquestoes'))) echo "<p><a href='../relatorios/gabarito.php'>Gabarito Provas</a></p>";
            if(parent::temPermissao(array('administrador', 'editarequipes', 'elaboradorquestoes'))) echo "<p><a href='../relatorios/pontuacoes.php'>Pontuações</a></p>";
            if(parent::temPermissao(array('administrador', 'editarequipes', 'elaboradorquestoes'))) echo "<p><a href='../relatorios/graficosrespostas.php'>Gráficos Respostas</a></p>";
            if(parent::temPermissao(array('administrador', 'editarequipes'))) echo "<p><a href='../relatorios/resultadoequipes.php'>Resultados Equipes</a></p>";
            if(parent::temPermissao(array('administrador', 'editarequipes')) AND $_SESSION[uid] == 'gustavo') echo "<p><a href='../relatorios/certificado.php'>Certificados</a></p>";
            echo "</fieldset>";
        }
        if(parent::temPermissao(array('administrador', 'confirmapagamento'))) echo "<p><a href='confirmapagamento.php'>Importar Arquivo de Confirmação de Pagamento</a></p>";
        if(parent::temPermissao(array('administrador'))) echo "<p><a href='scriptcamposcalculados.php'>Processar Pontuações, Classificações e Medalhas</a></p>";
        
        echo "<p><a href='login.php?sair=sim' class='sair'>Sair</a></p>";
        echo "</div>";
    }
    
    public function alterarSenha($senha){
        if(!empty($senha)){
            $sql = "UPDATE imediaco_geo.usuario SET senha = MD5('$senha') WHERE email = '$_SESSION[uid]'";
            $this->bd->executarSQL($sql);
            echo "<script type='text/javascript'>window.location='home.php';</script>";
        }else{
            echo "<h1>Alterar Senha</h1>";
            echo "<div aling='center'>";
            echo "<form action='home.php' method='POST'>Nova senha: <input type='text' name='senha' value='' required /> <input type='submit' name='Alterar' value='Alterar' /></form>";
            echo "</div>";
        }
    }
}

$pagina = new Home();
$pagina->montar();